Name:           mysql-connector-python
Version:        8.0.21
Release:        %mkrel 4
Summary:        MySQL Connector for Python
Group:          Development/Python
License:        GPLv2 with exceptions
URL:            http://dev.mysql.com/doc/connector-python/en/index.html
Source0:        http://cdn.mysql.com/Downloads/Connector-Python/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
# for unittest
BuildRequires:  mysql


%description
MySQL Connector/Python is implementing the MySQL Client/Server protocol
completely in Python. No MySQL libraries are needed, and no compilation
is necessary to run this Python DB API v2.0 compliant driver.

%package -n python3-mysql-connector
Summary:      MySQL Connector for Python 3
Group:        Development/Python
Obsoletes:    mysql-connector-python3 < 2.1.7-1
%{?python_provide:%python_provide python3-mysql-connector}

%description -n python3-mysql-connector
MySQL Connector/Python is implementing the MySQL Client/Server protocol
completely in Python. No MySQL libraries are needed, and no compilation
is necessary to run this Python DB API v2.0 compliant driver.


%prep
%autosetup -p1

%build
%py3_build

%install
%{__python3} setup.py install --root %{buildroot}

%files -n python3-mysql-connector
%license LICENSE.txt
%doc CHANGES.txt README.txt
%doc examples
%{python3_sitelib}/*


%changelog
* Sun Apr 03 2022 umeabot <umeabot> 8.0.21-4.mga9
+ Revision: 1841224
- Mageia 9 Mass Rebuild

* Mon Feb 28 2022 tv <tv> 8.0.21-3.mga9
+ Revision: 1786781
- Rebuild for python-3.10

* Sun Mar 28 2021 daviddavid <daviddavid> 8.0.21-2.mga9
+ Revision: 1711475
- rebuild for python 3.9

* Thu Nov 19 2020 daviddavid <daviddavid> 8.0.21-1.mga8
+ Revision: 1647530
- new version: 8.0.21

* Sun May 10 2020 daviddavid <daviddavid> 8.0.20-1.mga8
+ Revision: 1582698
- new version: 8.0.20

* Sun Mar 01 2020 daviddavid <daviddavid> 8.0.19-3.mga8
+ Revision: 1552641
- relax python dependencies

* Thu Feb 20 2020 umeabot <umeabot> 8.0.19-2.mga8
+ Revision: 1547301
- Mageia 8 Mass Rebuild

* Fri Feb 07 2020 daviddavid <daviddavid> 8.0.19-1.mga8
+ Revision: 1487841
- new version: 8.0.19

* Fri Oct 11 2019 daviddavid <daviddavid> 8.0.16-1.mga8
+ Revision: 1451957
- new version: 8.0.16

* Sun Sep 22 2019 daviddavid <daviddavid> 2.1.7-4.mga8
+ Revision: 1444612
- rebuild for python3.8
- drop python2 support

* Wed Jan 09 2019 shlomif <shlomif> 2.1.7-3.mga7
+ Revision: 1353440
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.1.7-2.mga7
+ Revision: 1280072
- Mageia 7 Mass Rebuild

* Thu Apr 12 2018 kekepower <kekepower> 2.1.7-1.mga7
+ Revision: 1217857
- Update to version 2.1.7
- Renamed from mysql-connector-python to python-mysql-connector
- Use python_provide

* Sat Aug 05 2017 pterjan <pterjan> 2.1.6-2.mga7
+ Revision: 1135275
- Rebuild for python 3.6

* Mon Apr 24 2017 neoclust <neoclust> 2.1.6-1.mga6
+ Revision: 1097200
- New version 2.1.6 - Fixes CVE-2017-3590 (mga#20732)

* Fri Feb 05 2016 ngompa <ngompa> 2.1.3-1.mga6
+ Revision: 936972
- Modernize spec
+ anaselli <anaselli>
- new version 2.1.3

* Tue Feb 02 2016 umeabot <umeabot> 1.0.7-9.mga6
+ Revision: 932591
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.7-8.mga5
+ Revision: 742329
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.7-7.mga5
+ Revision: 727441
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.7-6.mga5
+ Revision: 682728
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.0.7-4.mga4
+ Revision: 542746
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0.7-3.mga4
+ Revision: 497907
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Jan 12 2013 umeabot <umeabot> 1.0.7-2.mga3
+ Revision: 360582
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 19 2012 fwang <fwang> 1.0.7-1.mga3
+ Revision: 308134
- update file list
- disable check
- new version 1.0.7

* Wed Nov 02 2011 dmorgan <dmorgan> 0.3.2-4.mga2
+ Revision: 161892
- Disable python3 port
- Fix buildrequires => s/mysqlserver/mysql
  Enable python3 build

* Sun May 22 2011 dmorgan <dmorgan> 0.3.2-2.mga1
+ Revision: 100122
- imported package mysql-connector-python


* Sun Mar 20 2011 Remi Collet <Fedora@famillecollet.com> 0.3.2-2
- run unittest during %%check
- fix License
- add python3 sub package

* Wed Mar 09 2011 Remi Collet <Fedora@famillecollet.com> 0.3.2-1
- first RPM

